"use client";
'use strict';

var useVisualState = require('../../motion/utils/use-visual-state.js');
var createRenderState = require('./utils/create-render-state.js');
var scrapeMotionValues = require('../../../../../../../motion-dom@12.38.0/node_modules/motion-dom/dist/es/render/svg/utils/scrape-motion-values.js');

const useSVGVisualState = /*@__PURE__*/ useVisualState.makeUseVisualState({
    scrapeMotionValuesFromProps: scrapeMotionValues.scrapeMotionValuesFromProps,
    createRenderState: createRenderState.createSvgRenderState,
});

exports.useSVGVisualState = useSVGVisualState;
